SAVE_CDOE = {
    ------------------------------------------------------------------------------------------------
    -- Gets the English name for a trade skill
    --
    -- @trade_skill_name	String		The name of the trade skill in current locale
    --
    -- return				String		The English name of the trade skill
    ------------------------------------------------------------------------------------------------
    GetLocaleTradeSkillName = function(self, trade_skill_name)
        return MTSL_LOCALES_PROFESSIONS[MTSL_CURRENT_LANGUAGE][trade_skill_name]
    end,

    ------------------------------------------------------------------------------------------------
    -- Gets the English name for a reputation level
    --
    -- @reputation_level	String		The name of the reputation level in current locale
    --
    -- return				String		The English name of the reputation level
    ------------------------------------------------------------------------------------------------
    GetLocaleReputationLevel = function(self, reputation_level)
        return MTSL_LOCALES_REP_LEVELS[MTSL_CURRENT_LANGUAGE][reputation_level]
    end,
}

-- Holds the language of the game client used by the player (default English)
MTSL_CURRENT_LANGUAGE = "English"

-- Contains the names of the professions in different languages/locales
MTSL_LOCALES = {
    -- French
    ["frFR"] = "French",
    ["enGB"] = "English",
    ["enUS"] = "English",
 --   ["deDE"] = "German",
 --   ["ruRU"] = "Russian",
 --   ["esES"] = "Spanish",
 --   ["esMX"] = "Spanish",
 --   ["ptBR"] = "Portuguese",
}

-- Holds for each language the names of the skills & reputation levels
MTSL_LOCALES_PROFESSIONS = {
    ["English"] = {
        ["Alchemy"] = "Alchemy",
        ["Blacksmithing"] = "Blacksmithing",
        ["Enchanting"] = "Enchanting",
        ["Engineering"] = "Engineering",
        ["Leatherworking"] = "Leatherworking",
        ["Mining"] = "Mining",
        ["Tailoring"] = "Tailoring",
        ["Cooking"] = "Cooking",
        ["First Aid"] = "First Aid",
    },
    ["French"] = {
        ["Alchimie"] = "Alchemy",
        ["Forge"] = "Blacksmithing",
        ["Enchantement"] = "Enchanting",
        ["Engénieri"] = "Engineering",
        ["Travail du cuir"] = "Leatherworking",
        ["Minage"] = "Mining",
        ["Couture"] = "Tailoring",
        ["Cuisine"] = "Cooking",
        ["Premiers soins"] = "First Aid",
    },
    ["German"] = {
        [""] = "Alchemy",
        [""] = "Blacksmithing",
        [""] = "Enchanting",
        [""] = "Engineering",
        [""] = "Leatherworking",
        [""] = "Mining",
        [""] = "Tailoring",
        [""] = "Cooking",
        [""] = "First Aid",
    },
    ["Russian"] = {
        [""] = "Alchemy",
        [""] = "Blacksmithing",
        [""] = "Enchanting",
        [""] = "Engineering",
        [""] = "Leatherworking",
        [""] = "Mining",
        [""] = "Tailoring",
        [""] = "Cooking",
        [""] = "First Aid",
    },
    ["Spanish"] = {
        [""] = "Alchemy",
        [""] = "Blacksmithing",
        [""] = "Enchanting",
        [""] = "Engineering",
        [""] = "Leatherworking",
        [""] = "Mining",
        [""] = "Tailoring",
        [""] = "Cooking",
        [""] = "First Aid",
    },
    ["Portugese"] = {
        [""] = "Alchemy",
        [""] = "Blacksmithing",
        [""] = "Enchanting",
        [""] = "Engineering",
        [""] = "Leatherworking",
        [""] = "Mining",
        [""] = "Tailoring",
        [""] = "Cooking",
        [""] = "First Aid",
    },
}
-- Holds for each language the names of the skills & reputation levels
MTSL_LOCALES_REP_LEVELS = {
    ["English"] = {
        ["UNKNOWN"] = "UNKNOWN",
        ["HATED"] = "HATED",
        ["HOSTILE"] = "HOSTILE",
        ["UNFRIENDLY"] = "UNFRIENDLY",
        ["NEUTRAL"] = "NEUTRAL",
        ["FRIENDLY"] = "FRIENDLY",
        ["HONORED"] = "HONORED",
        ["REVERED"] = "REVERED",
        ["EXALTED"] = "EXALTED",
    },
    ["French"] = {
        [""] = "UNKNOWN",
        [""] = "HATED",
        [""] = "HOSTILE",
        [""] = "UNFRIENDLY",
        ["NEUTRE"] = "NEUTRAL",
        ["AMICALE"] = "FRIENDLY",
        [""] = "HONORED",
        [""] = "REVERED",
        [""] = "EXALTED",
    },
    ["German"] = {
        [""] = "UNKNOWN",
        [""] = "HATED",
        [""] = "HOSTILE",
        [""] = "UNFRIENDLY",
        [""] = "NEUTRAL",
        [""] = "FRIENDLY",
        [""] = "HONORED",
        [""] = "REVERED",
        [""] = "EXALTED",
    },
    ["Portuguese"] = {
        [""] = "UNKNOWN",
        [""] = "HATED",
        [""] = "HOSTILE",
        [""] = "UNFRIENDLY",
        [""] = "NEUTRAL",
        [""] = "FRIENDLY",
        [""] = "HONORED",
        [""] = "REVERED",
        [""] = "EXALTED",
    },
    ["Russian"] = {
        [""] = "UNKNOWN",
        [""] = "HATED",
        [""] = "HOSTILE",
        [""] = "UNFRIENDLY",
        [""] = "NEUTRAL",
        [""] = "FRIENDLY",
        [""] = "HONORED",
        [""] = "REVERED",
        [""] = "EXALTED",
    },
    ["Spanish"] = {
        [""] = "UNKNOWN",
        [""] = "HATED",
        [""] = "HOSTILE",
        [""] = "UNFRIENDLY",
        [""] = "NEUTRAL",
        [""] = "FRIENDLY",
        [""] = "HONORED",
        [""] = "REVERED",
        [""] = "EXALTED",
    }
}