----------------------------------------------------------------
-- Name: AccountFrame                                         --
-- Description: The main frame shown when viewing accountwide --
----------------------------------------------------------------
MTSLUI_ACCOUNT_FRAME = {
    ui_frame = nil,

    ---------------------------------------------------------------------------------------
    -- Hides the frame
    ----------------------------------------------------------------------------------------
    Hide = function (self)
        self.ui_frame:Hide()
    end,

    ---------------------------------------------------------------------------------------
    -- Shows the frame
    ----------------------------------------------------------------------------------------
    Show = function (self)
        self.ui_frame:Show()
    end,

    ---------------------------------------------------------------------------------------
    -- Toggle the frame
    ----------------------------------------------------------------------------------------
    Toggle = function (self)
        if self.ui_frame:IsVisible() then
            self.ui_frame:Hide()
        else
            self.ui_frame:Show()
        end
    end,

    ---------------------------------------------------------------------------------------
    -- Initialise the frame
    ----------------------------------------------------------------------------------------
    Initialise = function (self)
        self.ui_frame = MTSLUI_TOOLS:CreateBaseFrame("Frame", "", nil, nil, 1024, 768)
        self.ui_frame:SetText("Missing TradeSkills List - Account wide")
        -- Hide by default after creating
        self.ui_frame:Show()
    end
}